/*******************************************************************************
* File Name: SwIn.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_SwIn_ALIASES_H) /* Pins SwIn_ALIASES_H */
#define CY_PINS_SwIn_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"


/***************************************
*              Constants        
***************************************/
#define SwIn_0			(SwIn__0__PC)
#define SwIn_0_INTR	((uint16)((uint16)0x0001u << SwIn__0__SHIFT))

#define SwIn_1			(SwIn__1__PC)
#define SwIn_1_INTR	((uint16)((uint16)0x0001u << SwIn__1__SHIFT))

#define SwIn_2			(SwIn__2__PC)
#define SwIn_2_INTR	((uint16)((uint16)0x0001u << SwIn__2__SHIFT))

#define SwIn_3			(SwIn__3__PC)
#define SwIn_3_INTR	((uint16)((uint16)0x0001u << SwIn__3__SHIFT))

#define SwIn_INTR_ALL	 ((uint16)(SwIn_0_INTR| SwIn_1_INTR| SwIn_2_INTR| SwIn_3_INTR))

#endif /* End Pins SwIn_ALIASES_H */


/* [] END OF FILE */
