/*******************************************************************************
* File Name: SwOut.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_SwOut_ALIASES_H) /* Pins SwOut_ALIASES_H */
#define CY_PINS_SwOut_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"


/***************************************
*              Constants        
***************************************/
#define SwOut_0			(SwOut__0__PC)
#define SwOut_0_INTR	((uint16)((uint16)0x0001u << SwOut__0__SHIFT))

#define SwOut_1			(SwOut__1__PC)
#define SwOut_1_INTR	((uint16)((uint16)0x0001u << SwOut__1__SHIFT))

#define SwOut_2			(SwOut__2__PC)
#define SwOut_2_INTR	((uint16)((uint16)0x0001u << SwOut__2__SHIFT))

#define SwOut_3			(SwOut__3__PC)
#define SwOut_3_INTR	((uint16)((uint16)0x0001u << SwOut__3__SHIFT))

#define SwOut_INTR_ALL	 ((uint16)(SwOut_0_INTR| SwOut_1_INTR| SwOut_2_INTR| SwOut_3_INTR))

#endif /* End Pins SwOut_ALIASES_H */


/* [] END OF FILE */
